<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Objetivo extends Model
{
    protected $table = 'objetivo';
    public $timestamps = false;
    protected $fillable = ['clave_interna', 'clave_externa', 'descripcion', 'fk_idEje'];
    //protected $with = ['linea_accion'];

    public function linea_accion(){
    	return $this->hasMany('App\LineaAccion', 'fk_idObjetivo');
		}

		public function eje(){
			return $this->belongsTo('App\Eje', 'fk_idEje');
		}
}
